## wims 4.17b+svn13454~dfsg1

=== wims/dfsg/Makefile ===
# This file allows one to make the Wims source tarball comply
# to the DFSG

TRUNK =    $(abspath $(shell dirname $(abspath $(lastword $(MAKEFILE_LIST))))/../..)

WIMSHOME = $(TRUNK)/wims

IS_SVN   = $(shell if [ -d "$(TRUNK)/.svn" ]; then echo true; else echo false; fi)

all:
ifeq ($(IS_SVN), false)
	$(MAKE) deletions
else
	@echo "ERROR"
	@echo "You should never use this Makefile inside a SVN repository."
endif

deletions: removeUseless deleteBinaries

removeUseless:
	find $(WIMSHOME) -name "*.bak" -o -name .DS_Store | xargs rm -f

deleteBinaries:
	# sourceless precompiled ELF files
	rm -f $(WIMSHOME)/bin/true
	rm -f $(WIMSHOME)/bin/false
	#### java binary files
	find $(WIMSHOME) -name "*.jar" | xargs rm -f
	#### flash binaries
	rm -f $(WIMSHOME)/public_html/flash/*.swf
	#### uglyfied javascript libraries
	for d in jquery jsxgraph ; do \
	    rm -rf $(WIMSHOME)/public_html/scripts/js/$d; \
	done
	#### uglyfied javascript files
	# Joke Evers' jqmath
	for f in jqmath.js ; do \
	   rm -f $(WIMSHOME)/public_html/scripts/authors/jm.evers/js/$f; \
	done
	# asciimathml which is provided by a debian package
	rm -f $(WIMSHOME)/public_html/scripts/js/ASCIIMathML.js \
	  $(WIMSHOME)/public_html/scripts/js/LaTeXMathML.js
	# mootools which is provided by a debian package
	rm -f $(WIMSHOME)/public_html/scripts/js/editor/scripts_1/mootools.js
	## uglified third party libraries which should be got from their
	## official repositories
	rm -rf $(WIMSHOME)/public_html/scripts/js/bower_components/jquery.mb.extruder
	rm -rf $(WIMSHOME)/public_html/scripts/js/bower_components/what-input
	### delete symbols which will be generated during
	### the post-installation
	rm  -f $(WIMSHOME)/public_html/gifs/symbols/20/*.gif
	############## remove edit-area's uglified javascript
	rm -f $(WIMSHOME)/public_html/scripts/js/edit_area/*full*

downloads:
	## jquery.mb.extruder version 2.6.0
	dest=$(WIMSHOME)/public_html/scripts/js/bower_components/; \
	  cd $${dest}; \
	  wget https://github.com/pupunzi/jquery.mb.extruder/archive/2.6.0.zip; \
	  unzip 2.6.0.zip; rm 2.6.0.zip
	## what-input version 3.0.0
	dest=$(WIMSHOME)/public_html/scripts/js/bower_components/; \
	  cd $${dest}; \
	  wget https://github.com/ten1seven/what-input/archive/v3.0.0.zip; \
	  unzip v3.0.0.zip; rm v3.0.0.zip


.PHONY: all deletions removeUseless deleteBinaries

=== debian/control ===
Source: wims
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends-Indep: uglifyjs, php
Build-Depends: debhelper-compat (= 13),
 texlive-base,
 po-debconf, 
 libgd-dev,
 autoconf,
 automake,
 shtool,
 bison,
 flex,
 apache2-dev,
 libwebservice-validator-html-w3c-perl,
 libwebservice-validator-css-w3c-perl,
 imagemagick|graphicsmagick-imagemagick-compat
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/wims.git
Vcs-Git: https://salsa.debian.org/science-team/wims.git

Package: wims
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
 pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
 octave, fortunes, cpp,
 texlive-base, texlive-latex-base, texlive-fonts-recommended, 
 mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
 ldap-utils, libapache2-mod-fcgid, qrencode,
 wims-modules (>= ${source:Version})
Recommends: ${misc:Recommends},
 yacas, gap, wims-help, wims-java-applets (= ${source:Version})
Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
Description: server for educational content: courses, exercises, and exams
 The WWW Interactive Multipurpose Server is an educational platform
 originally developed for mathematics but now also supporting subjects such
 as physics, chemistry, biology, and languages.
 .
 WIMS features a rich set of resources and exercises either for
 autodidactical use or for training classes, including:
 .
  * exercises with automatic feedback and correction, allowing the
    learners to work at their own pace;
  * interactive exercises with randomly assigned data, allowing the
    learners to work on the same type of exercise but with different
    data and as often as they wish;
  * exercises with an automatic scoring system, which enhances learner
    motivation;
  * user-friendly graphics and calculation tools;
  * courses and documents with hyperlinks to the exercise pool;
    examples in the courses can be made random, so the student can get
    more than one instance of an illustration for tricky concepts;
  * support for exams with pre-published contents. As each individual
    exam will have randomly chosen data, training is possible but
    writing each response in advance is not.
 .
 This package contains the WIMS FastCGI server, serving Open Exercise
 Format (OEF) documents. OEF is a very high-level language which
 allows authors to focus on pedagogical issues.

Package: wims-modules
Architecture: all
Depends: ${misc:Depends},
 libjs-prototype, node-normalize.css,
 libjs-jquery, libjs-jquery-metadata, libjs-asciimathml,
Breaks:  wims (<< 4.15b~dfsg1-9)
Replaces:  wims (<< 4.15b~dfsg1-9)
Description: minimal set of modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page,
 including administrative tasks, help, mathematic tools, libraries, and a
 few interactive exercises.
 .
 To get the thousands of exercises which give WIMS its power, consider
 installing the recommended package wims-extra-all (or other packages
 which provide wims-extra).
 .
 Other educational materials can be downloaded outside of the Debian
 system by automated updates. See http://wimsedu.info

Package: wims-java-applets
Architecture: all
Depends: ${misc:Depends}
Description: applets for modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page.
 Some of them depend on Java applets; this package provides the collection
 of free applets which are maintained upstream.
 .
 Some interesting applets like Jmol are missing, since they still cannot
 be built from their source with free/libre compilers. You can get them
 from their upstream developers. 

Package: flydraw
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat
Description: command-line drawing tool
 flydraw is a drawing tool based on an interpreter which parses a
 language featuring rich graphic primitives; it uses libgd to output
 GIF, JPEG, or PNG files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with apache2

DESTDIR = $(CURDIR)/debian/tmp
MAKE    = make -f Makefile.for.debian

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile.for.debian ] || $(MAKE) clean

override_dh_auto_build-indep:
	$(MAKE) all-indep

override_dh_auto_build-arch:
	$(MAKE) all-arch

override_dh_auto_configure:
	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
	# those directories seem to be necessary for the build
	mkdir -p wims/lib
	mkdir -p wims/tmp/log


override_dh_auto_install-indep:
	$(MAKE) install-indep DESTDIR=$(DESTDIR)
	for f in $$(grep -l "deny from all" $$(find $(DESTDIR) -name ".htaccess")); do \
	  echo "# syntax for Apache2.4" > $$f; \
	  echo "Require all denied" >> $$f; \
	done

override_dh_auto_install-arch:
	$(MAKE) install-arch DESTDIR=$(DESTDIR)
	for f in $$(grep -l "deny from all" $$(find $(DESTDIR) -name ".htaccess")); do \
	  echo "# syntax for Apache2.4" > $$f; \
	  echo "Require all denied" >> $$f; \
	done
	# create a directory for wims configuration
	mkdir -p $(CURDIR)/debian/wims/etc/wims

## wims 4.21f~dfsg1

=== wims/public_html/scripts/authors/jm.evers/js/Makefile ===
####################################################################
# This Makefile is introduced to lower the delta between legacy wims
# source package and debian wims source package. In the legacy package,
# minimized Javascript files are not rebuilt; this Makefile allows one
# to rebuild those obfuscated files from sources with free-open-source
# tools.
####################################################################

all: jqmath.js geogebra2wims.js

jqmath.js: src/*.js
	# del previous version
	rm -f $@
	cat src/jquery-1.4.3.js src/jscurry-0.3.0.js src/jqmath-0.4.0.js > $@

geogebra2wims.js: src/geogebra2wims.js
	js-beautify -s 4 -w 80 src/geogebra2wims.js > $@

clean:
	rm -f *~ jqmath.js geogebra2wims.js

.PHONY: clean

=== debian/changelog ===
wims (1:4.21f~dfsg1-2) unstable; urgency=medium

  * created a debian patch to cheat in Wims' tinymce.phtml file;
    its features are now provided by ckeditor which is well packaged
    inside Debian.
  * replaced a dependency: tinymce -> ckeditor; Closes: #987728

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Apr 2021 20:25:42 +0200

wims (1:4.21f~dfsg1-1) unstable; urgency=medium

  * new upstream version 4.21f
  * removed obsolete lintian overrides, and added new ones
  * replaced uglifyjs by js-beautify or uglifyjs.terser
  * removed obsolete java sources
  * added dependencies on libjs-jquery-ui, libjs-marked, libjs-slick
  * improved the scripts "dfsg-scripts"
  * updated Makefiles for debian
  * dropped the empty package wims-java-applets; this package was necessary
    for wims when some features implemented by Joke Evers were implemented
    as java applets; nowadays all of those features are reimplemented in
    javascript; the java source are still part of the upstream source, but
    no longer used, as asserted by e-mails exchanged by wims developers.
    Closes: #987463
  * simplified wims.postinst since there are no longer various apache
    servers in Debian ; removed also wims.templates, wims.config and the
    subdirectory debian/po/

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 18:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends-Indep: uglifyjs, php
+Build-Depends-Indep: node-js-beautify, uglifyjs.terser, php
 Build-Depends: debhelper-compat (= 13),
  texlive-base,
  po-debconf, 
@@ -32,7 +32,7 @@
  ldap-utils, libapache2-mod-fcgid, qrencode,
  wims-modules (>= ${source:Version})
 Recommends: ${misc:Recommends},
- yacas, gap, wims-help, wims-java-applets (= ${source:Version})
+ yacas, gap, wims-help
 Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
 Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
 Description: server for educational content: courses, exercises, and exams
@@ -65,8 +65,16 @@
 Package: wims-modules
 Architecture: all
 Depends: ${misc:Depends},
- libjs-prototype, node-normalize.css,
- libjs-jquery, libjs-jquery-metadata, libjs-asciimathml,
+ libjs-prototype,
+ node-normalize.css,
+ libjs-jquery,
+ libjs-jquery-metadata,
+ libjs-slick,
+ libjs-jquery-ui,
+ libjs-jquery-ui-theme-smoothness,
+ libjs-asciimathml,
+ libjs-marked,
+ ckeditor
 Breaks:  wims (<< 4.15b~dfsg1-9)
 Replaces:  wims (<< 4.15b~dfsg1-9)
 Description: minimal set of modules used by WIMS
@@ -81,18 +89,6 @@
  Other educational materials can be downloaded outside of the Debian
  system by automated updates. See http://wimsedu.info
 
-Package: wims-java-applets
-Architecture: all
-Depends: ${misc:Depends}
-Description: applets for modules used by WIMS
- WIMS uses modules to implement every user interface beyond its main page.
- Some of them depend on Java applets; this package provides the collection
- of free applets which are maintained upstream.
- .
- Some interesting applets like Jmol are missing, since they still cannot
- be built from their source with free/libre compilers. You can get them
- from their upstream developers. 
-
 Package: flydraw
 Section: graphics
 Architecture: any

## wims 4.22~dfsg1

=== debian/changelog ===
wims (2:4.22~dfsg1-2) unstable; urgency=medium

  * new source upload, to reach unstable. Closes: #992427
  * updated source/lintian-overrides, about
    third-parties/foundation-sites-6.6.3 : most errors are due to long
    one liners, which are still human-readable (the source is *not*
    obfuscated).
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/demo/_layouts/default.html which features
    a privacy breach; added a line in debian/rules to remove
    third-parties/tablesort-5.0.2/demo from the debian package
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/test/tape.js which begins with
    a poorly human-readable expression, which was probably blindly copied
    from some other file (the remainder of the file tape.js is *not*
    obfuscated). As this file is part of a tests suite, it is just
    removed from the debian package (in the target `clean` of debian/rules)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Aug 2021 13:36:46 +0200

wims (2:4.22~dfsg1-1) experimental; urgency=medium

  * new upstream version downloaded; checked that there is no
    wims/src/Misc/applets/Lattice directory
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:22:17 +0200

wims (2:4.21f~dfsg1-3) UNRELEASED; urgency=medium

  * modified the file d/get-latest-source to exclude
    wims/src/Misc/applets/Lattice/ which triggered bug #992088,
    in order to download latest upstream sources

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:09:29 +0200

wims (2:4.17b+svn13454~dfsg2-1) unstable; urgency=medium

  * created a Git branch debian/bugfix-992088
  * made a new orig tarball without files
    wims/src/Misc/applets/Lattice/src/LatticeViewer.java and
    wims/src/Misc/applets/Lattice/src/Matrix3D.java
    (the subdirectory wims/src/Misc/applets/Lattice was removed)
    Closes: #992088
  * removed useless directories wims/src/Misc/chemeq/debian and
    wims/src/Misc/units-filter/debian
  * updated the debian patch modifying java builds
  * checked the new build process in a fresh chroot

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Aug 2021 13:28:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
+	# remove useless files which contain a privacy breach
+	# (precisely: third-parties/tablesort-5.0.2/demo/_layouts/default.html,
+	# and third-parties/tablesort-5.0.2/test/tape.js)
+	rm -rf third-parties/tablesort-5.0.2/demo
+	rm -rf third-parties/tablesort-5.0.2/test
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep

## wims 4.27a+dfsg1

=== wims/src/Misc/units-filter/Makefile ===
DESTDIR=

MANSOURCES = $(shell ls doc/source/*.rst)
DOCDIR = $(DESTDIR)/usr/share/doc/units-filter/html

all :   units-filter.1 units-filter.html
	gzip -9 -c units-filter.1 > units-filter.1.gz
	(cd src; ${MAKE} all)
test : all
	(cd src; ${MAKE} test)

clean :
	rm -f *~ *stamp *.gz
	(cd src; ${MAKE} clean)
	(cd doc; ${MAKE} clean)

install : all
	install -m 775 -d ${DESTDIR}/usr/bin
	install -m 775 -d ${DESTDIR}/usr/share/man/man1
	install -m 755 src/units-filter ${DESTDIR}/usr/bin
	install -m 644 units-filter.1.gz ${DESTDIR}/usr/share/man/man1
	install -m 775 -d $(DOCDIR)
	cp -a units-filter.html _static $(DOCDIR)
	# replace a few JS files by symlinks for a Debian build
	if grep -q Debian /etc/issue; then \
	  rm -f $(DOCDIR)/_static/jquery.js; \
	  ln -s /usr/share/javascript/jquery/jquery.js $(DOCDIR)/_static; \
	  rm -f $(DOCDIR)/_static/underscore.js; \
	  ln -s /usr/share/javascript/underscore/underscore.js $(DOCDIR)/_static; \
	fi

uninstall :
	rm -f ${DESTDIR}/usr/bin/units-filter
	rm -f ${DESTDIR}/usr/share/man/man1/units-filter.1.gz
	rm -rf $(DOCDIR)

units-filter.1: $(MANSOURCES)
	make -C doc man
	cp doc/build/man/units-filter.1 .

units-filter.html:  $(MANSOURCES)
	make -C doc singlehtml
	cp doc/build/singlehtml/index.html $@
	cp -a doc/build/singlehtml/_static .

=== debian/changelog ===
wims (2:4.27a+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 18:05:29 +0100

wims (2:4.27a+dfsg1-3) unstable; urgency=medium

  * use autoreconf --install to create wims/src/configure
  * improved the clean target in d/rules

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 16:12:31 +0100

wims (2:4.27a+dfsg1-2) unstable; urgency=medium

  * fixed the regexp to mangle package name in debian/watch
  * erased the line below about bookworm_backport

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2023 12:24:10 +0100

wims (2:4.27a+dfsg1-1) unstable; urgency=medium

  [ Jean Charles Delépine ]
  * New upstream release 4.27a+dfsg1 Closes: #1057032
  * Non-maintainer upload.
  * refreshed debian patches
  * terser replace uglifyjs.terser Closes: #1001029
  * remove autoconf from debian rules Closes: #997720
  * add ctime.h to wims_mathml.cc
  * Force MathML=yes
  * add dependency to libwebservice-validator-html-w3c-perl 
    to make SSO CAS working
  * wims-modules: don't fail on postrm if /var/lib/wims is a mount point
  * wims-modules: add dependency to libjs-mootools, jsxgraph, yui-compressor and
    asciidoc-common Closes: #988894
  * wims-modules: add dependency to libjs-edit-area and remove it from
    third-parties
  * wims-modules: depend node-mathjax-full and make a symlink in scripts/js
  * wims-modules: various foundation.sh corrections
  * wims-modules: call foundation.sh from Makefile.for.debian

  [ Georges Khaznadar ]
  * replaced the tilde "~" by a plus sign in the package name.
  * added lintian overrides for source files which triggered lintian errors
    but are human-readable.
  * modified the file tablesort.sh in the debian patches to delete a file which
    is sneaking in with a link to
    https://d2dq2ahtl5zl1z.cloudfront.net/analytics.js, and the
    subdirectory test/ which contains a file with too long lines.
  * modified debian/get-latest-source to remove more sourceless contents from
    the upstream source package
  * patched the Makefile.in files to introduce $(CPPFLAGS) into default
    build commands for C sources.

 -- Jean Charles Delépine <delepine@u-picardie.fr>  Wed, 29 Nov 2023 18:10:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends-Indep: node-js-beautify, uglifyjs.terser, php
+Build-Depends-Indep: node-js-beautify, terser, php
 Build-Depends: debhelper-compat (= 13),
  texlive-base,
  po-debconf, 
@@ -30,6 +30,7 @@
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
  mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
  ldap-utils, libapache2-mod-fcgid, qrencode,
+ libwebservice-validator-html-w3c-perl,
  wims-modules (>= ${source:Version})
 Recommends: ${misc:Recommends},
  yacas, gap, wims-help
@@ -74,7 +75,13 @@
  libjs-jquery-ui-theme-smoothness,
  libjs-asciimathml,
  libjs-marked,
- ckeditor
+ libjs-mootools,
+ libjs-edit-area,
+ node-mathjax-full,
+ jsxgraph,
+ ckeditor,
+ asciidoc-common,
+ yui-compressor
 Breaks:  wims (<< 4.15b~dfsg1-9)
 Replaces:  wims (<< 4.15b~dfsg1-9)
 Description: minimal set of modules used by WIMS

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 	# and third-parties/tablesort-5.0.2/test/tape.js)
 	rm -rf third-parties/tablesort-5.0.2/demo
 	rm -rf third-parties/tablesort-5.0.2/test
+	# clean configuration files
+	rm -f wims/src/config.guess wims/src/config.sub
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
@@ -34,7 +36,8 @@
 	$(MAKE) all-arch
 
 override_dh_auto_configure:
-	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
+	cd wims/src; autoreconf --install
+	cd wims/src; ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
 	# those directories seem to be necessary for the build
 	mkdir -p wims/lib
 	mkdir -p wims/tmp/log

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
https://sourcesup.renater.fr/frs/?group_id=379 /frs/download.php/file/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz \
debian /bin/sh debian/get-latest-source

## wims 4.27b+dfsg1

=== debian/changelog ===
wims (2:4.27b+dfsg1-2) unstable; urgency=medium

  * patched file src/Misc/canvasdraw/canvasdraw.c
    Closes: #1066312

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Mar 2024 16:10:35 +0100

wims (2:4.27b+dfsg1-1) experimental; urgency=medium

  * added the configuration file d/gb.conf for git-build-package
  * the script debian/get/latest-source is no longer used to import new
    upstream version; instead `gbp import-orig` does the job. The upstream
    package is no longer imported under directory wims/, but in ./
    (as in usual packages). Details of those modifications are given in
    d/README.source
  * excluded files which were managed by debian/get/latest-source
    are managed by `gbp import-orig`, thanks to the "filter" feature;
    third-party packages are managed thanks to the "components" feature
  * updated debian patches: removed wims/ for paths, removed also wims/ from
    paths previously defined in the file "Makefile.for.debian"
  * New upstream version 4.27b+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Mar 2024 17:50:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
-	# remove useless files which contain a privacy breach
-	# (precisely: third-parties/tablesort-5.0.2/demo/_layouts/default.html,
-	# and third-parties/tablesort-5.0.2/test/tape.js)
-	rm -rf third-parties/tablesort-5.0.2/demo
-	rm -rf third-parties/tablesort-5.0.2/test
-	# clean configuration files
-	rm -f wims/src/config.guess wims/src/config.sub
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep
@@ -36,11 +29,11 @@
 	$(MAKE) all-arch
 
 override_dh_auto_configure:
-	cd wims/src; autoreconf --install
-	cd wims/src; ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
+	cd src; autoreconf --install
+	cd src; ./configure --without-units --without-chemeq --without-wimsd $(shell dpkg-buildflags --export=cmdline)
 	# those directories seem to be necessary for the build
-	mkdir -p wims/lib
-	mkdir -p wims/tmp/log
+	mkdir -p lib
+	mkdir -p tmp/log
 
 
 override_dh_auto_install-indep:

## wims 4.27c+dfsg1

=== debian/changelog ===
wims (2:4.27c+dfsg1-1) unstable; urgency=medium

  * [6ba7114] interpreted more tightly the manpage for strcasestr
  * [0d695ee] New upstream version 4.27c+dfsg1
  * updated debian patches, removed some of them as they were applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 25 May 2024 13:44:57 +0200

## wims 4.28+dfsg1

=== debian/changelog ===
wims (2:4.28+dfsg1-1) unstable; urgency=medium

  * [0f4c1ea] New upstream version 4.28+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 17:15:56 +0100

## wims 4.29a+dfsg1

=== debian/changelog ===
wims (2:4.29a+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * bumped Standards-Version: 4.7.2
  * not enforcing the use of gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 16:56:37 +0100

wims (2:4.29a+dfsg1-1) experimental; urgency=medium

  * [09132e0] New upstream version 4.29a+dfsg1
  * new patch d/patches/gcc-15.patch, because "true" and 'false" are reserved
    words with gcc-15. Closes: #1098095
  * enforced the use of gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2025 10:39:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libwebservice-validator-html-w3c-perl,
  libwebservice-validator-css-w3c-perl,
  imagemagick|graphicsmagick-imagemagick-compat
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/wims.git
 Vcs-Git: https://salsa.debian.org/science-team/wims.git

## wims 4.30+dfsg1

=== public_html/scripts/authors/jm.evers/js/Makefile ===
####################################################################
# This Makefile is introduced to lower the delta between legacy wims
# source package and debian wims source package. In the legacy package,
# minimized Javascript files are not rebuilt; this Makefile allows one
# to rebuild those obfuscated files from sources with free-open-source
# tools.
####################################################################

all: jqmath.js geogebra2wims.js

jqmath.js: src/*.js
	# del previous version
	rm -f $@
	cat src/jquery-1.4.3.js src/jscurry-0.3.0.js src/jqmath-0.4.0.js > $@

geogebra2wims.js: src/geogebra2wims.js
	uglifyjs src/geogebra2wims.js --beautify indent-level=4,width=80 -o $@

clean:
	rm -f *~ jqmath.js geogebra2wims.js

.PHONY: clean

=== debian/changelog ===
wims (2:4.30+dfsg1-1) unstable; urgency=medium

  * [dc8ef02] New upstream version 4.30+dfsg1
  * deleted patch deian/gcc-15.patch, which is applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Jul 2025 17:21:21 +0200

wims (2:4.29a+dfsg1-3) unstable; urgency=medium

  * removed the dependency wims-modules -> ckeditor, since this dependency
    was dropped by upstream developers some time ago. Closes: #1104594

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 May 2025 09:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -79,7 +79,6 @@
  libjs-edit-area,
  node-mathjax-full,
  jsxgraph,
- ckeditor,
  asciidoc-common,
  yui-compressor
 Breaks:  wims (<< 4.15b~dfsg1-9)

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
+	rm -f src/config.log
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep

=== debian/watch ===
# not a real watch file
# downloads will be done with uscan, then gbp import-orig
# will filter out unwanted source files and add components for other archives

version=3
opts="dversionmangle=s/\+dfsg\d+$//" \
https://sourcesup.renater.fr/frs/?group_id=379 /frs/download.php/file/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz \
debian uupdate

## wims 4.31+dfsg1

=== debian/changelog ===
wims (2:4.31+dfsg1-2) unstable; urgency=medium

  * [32a1aed] /var/lib/wims/bin and /var/lib/wims/bases/sys are no longer
    rwx------

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Feb 2026 22:42:56 +0100

wims (2:4.31+dfsg1-1) unstable; urgency=medium

  * added a default file for log/wims.conf
  * [3e01a20] New upstream version 4.31+dfsg1
  * [6db2bc0] fixed debian/series
  * [51c64f0] fixed debian/series
  * [f37e42e] remove macos resource fork files
  * [1b10838] bumped version for debian/watch
  * [6ecf0e9] fixed some file patterns in d/copyright
  * [5a7e5d8] fixed dependencies
  * [aaded92] fixed d/patches/series
  * [946a1ef] remove MacOS store files
  * [68d33d1] changed the dependency gnuplot --> gnuplot-nox
  * [d17eda3] added useless files to filters

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Feb 2026 17:19:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	dh_auto_clean
 	[ ! -f Makefile.for.debian ] || $(MAKE) clean
 	rm -f src/config.log
+	find public_html -name "._*" -o -name ".DS_Store"| xargs rm -f
 
 override_dh_auto_build-indep:
 	$(MAKE) all-indep

=== debian/watch ===
# not a real watch file
# downloads will be done with uscan, then gbp import-orig
# will filter out unwanted source files and add components for other archives

version=4
opts="dversionmangle=s/\+dfsg\d+$//" \
https://sourcesup.renater.fr/frs/?group_id=379 /frs/download.php/file/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz \
debian uupdate
